TurboTax FAQ
TurboTax FAQ
59 people found this useful

What happens if I install TurboTax 2015 on Mac OS X 10.7 or 10.8?

You can still install and use TurboTax 2015 on Mac OS X v10.7.5 (Lion) or v10.8 (Mountain Lion). However, Apple last released patches for these operating systems in 2012 and 2013, respectively.

This means that TurboTax might not run as well as it would on Mavericks (OS X v10.9) or later. Also, your computer may not be adequately protected from the latest viruses or other security risks.

We will continue to provide support for TurboTax issues if they're installed on Lion or Mountain Lion, unless the problem is solely attributable to the operating system itself.


GEN87335